using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.UserWalletCQ.EventHandlers;

public class DeleteUserWalletEventHandler : INotificationHandler<DeleteUserWalletEvent>
{
    private readonly ILogger<
        DeleteUserWalletEventHandler> _logger;

    public DeleteUserWalletEventHandler(ILogger<DeleteUserWalletEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteUserWalletEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
